> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1premier 



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/premier/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/premier/{name}/{tag}:
    get:
      tags:
        - valorant
      operationId: premier_by_name
      parameters:
        - name: name
          in: path
          description: Team name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Team tag
          required: true
          schema:
            type: string
        - name: season
          in: query
          description: Premier season id (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Premier team data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PremierTeamV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Team not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    PremierTeamV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/PremierTeamV1ResponseData'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    PremierTeamV1ResponseData:
      type: object
      required:
        - id
        - name
        - tag
        - enrolled
        - stats
        - placement
        - customization
        - member
      properties:
        customization:
          $ref: '#/components/schemas/PremierTeamV1ResponseDataCustomization'
        enrolled:
          type: boolean
        id:
          type: string
        member:
          type: array
          items:
            $ref: '#/components/schemas/PremierTeamMember'
        name:
          type: string
        placement:
          $ref: '#/components/schemas/PremierTeamV1ResponseDataPlacement'
        stats:
          $ref: '#/components/schemas/PremierTeamV1ResponseDataStats'
        tag:
          type: string
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    PremierTeamV1ResponseDataCustomization:
      type: object
      required:
        - icon
        - image
        - primary
        - secondary
        - tertiary
      properties:
        icon:
          type: string
        image:
          type: string
        primary:
          type: string
        secondary:
          type: string
        tertiary:
          type: string
    PremierTeamMember:
      type: object
      required:
        - puuid
      properties:
        name:
          type:
            - string
            - 'null'
        puuid:
          type: string
        tag:
          type:
            - string
            - 'null'
    PremierTeamV1ResponseDataPlacement:
      type: object
      required:
        - points
        - conference
        - division
        - place
      properties:
        conference:
          type: string
        division:
          type: integer
          format: int32
        place:
          type: integer
          format: int32
        points:
          type: integer
          format: int32
    PremierTeamV1ResponseDataStats:
      type: object
      required:
        - wins
        - matches
        - losses
        - rounds_won
        - rounds_lost
      properties:
        losses:
          type: integer
          format: int32
        matches:
          type: integer
          format: int32
        rounds_lost:
          type: integer
          format: int32
        rounds_won:
          type: integer
          format: int32
        wins:
          type: integer
          format: int32

````